summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>2016-02-03 12:36:12 +0100
committerBernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>2016-02-03 12:36:12 +0100
commit100a8295af1bab7aa7bcce84e2c04e67234ed60d (patch)
treeca0f8f3c2611587f6f65d5d62c13dbf06029bab8
parent6da57c6086f20892780df5a023d83853a81a745b (diff)
downloadandroid-patchsets-RLCR-16.02.tar.gz
Add devtools patchsetRLCR-16.02
Change-Id: Ifb109b5b7d3a12aeba37f173b533e8ce0d93e458 Signed-off-by: Bernhard Rosenkränzer <Bernhard.Rosenkranzer@linaro.org>
-rwxr-xr-xmarshmallow-devtools-patchset21
1 files changed, 21 insertions, 0 deletions
diff --git a/marshmallow-devtools-patchset b/marshmallow-devtools-patchset
new file mode 100755
index 0000000..12ed706
--- /dev/null
+++ b/marshmallow-devtools-patchset
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+# Allow clang to be built for the device
+apply --linaro external/clang 16588/1
+# And add it to PRODUCT_PACKAGES
+apply --linaro build 16589/1